Which MariaDB version for Joomla 5 Install? Topic is solved

Need help installing Joomla! 5.x? For all Joomla! 5.x installation issues please use this forum.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Windows Defender SmartScreen Issues <-- please read this if using Windows 10
Post Reply
hungkhanggl
Joomla! Explorer
Joomla! Explorer
Posts: 308
Joined: Thu Sep 15, 2011 9:08 am
Location: JLVEXTENSION.COM
Contact:

Which MariaDB version for Joomla 5 Install?

Post by hungkhanggl » Fri Sep 22, 2023 1:39 pm

Hello,

First, sorry because post question about Joomla 5 in Joomla 4 category.
I just test install Joomla 5 beta 2 on localhost and live hosting (cPanel hosting from Stablehost)

- In localhost, every ok without any error

- But on live hosting, I got this error:

"You need MariaDB 10.4 or higher to continue the installation. Your version is: 10.3.39-MariaDB-log-cll-lve"

I was try find option to change it but ....

Anyone got same this error. Or know how to update MariaDB on cPanel hosting?

Thanks a lot

gws
Joomla! Champion
Joomla! Champion
Posts: 5617
Joined: Tue Aug 23, 2005 1:56 pm
Location: South coast, UK
Contact:

Re: Which MariaDB version for Joomla 5 Install?

Post by gws » Fri Sep 22, 2023 2:08 pm

Ask your host to upgrade the DB.

darkera
Joomla! Apprentice
Joomla! Apprentice
Posts: 6
Joined: Sun Sep 24, 2023 6:23 pm

Re: Which MariaDB version for Joomla 5 Install?

Post by darkera » Sun Sep 24, 2023 6:40 pm

Some of our extensions include functions that need MySQL 5.6 or later. Therefore, using MariaDB for your Joomla website is entirely secure. However, we advise utilizing a MariaDB version that is at least equivalent to MySQL 5.6. As a result, you must utilize MariaDB 10.1.O.

hungkhanggl
Joomla! Explorer
Joomla! Explorer
Posts: 308
Joined: Thu Sep 15, 2011 9:08 am
Location: JLVEXTENSION.COM
Contact:

Re: Which MariaDB version for Joomla 5 Install?

Post by hungkhanggl » Sun Sep 24, 2023 6:50 pm

Thank you, I solved it by installing it on localhost --> backing up, and then restoring to hosting. Strangely this works well.

It is quite confusing that it cannot be installed directly on hosting. Contacting support with stablehost is quite difficult. And it's still a beta so they're not very willing to support it.

User avatar
AMurray
Joomla! Exemplar
Joomla! Exemplar
Posts: 9309
Joined: Sat Feb 13, 2010 7:35 am
Location: Australia

Re: Which MariaDB version for Joomla 5 Install?

Post by AMurray » Sun Sep 24, 2023 10:56 pm

Seems I jumped in here too late.

The tech requirements don't actually list MariaDB as a supported database (not saying it won't work, but as you've experienced, you're running into a brick wall with your web host.).

If you're simply testing Joomla 5 beta then you shouldn't be using it on a live site anyway. Install WAMPServer, and test it on your PC.

With WAMPServer you should be able to install MariaDB.
https://wampserver.aviatechno.net/ to download Wampserver, and all the modules you need for Apache, the choice of databases, and PHP versions.
Regards - A Murray

hungkhanggl
Joomla! Explorer
Joomla! Explorer
Posts: 308
Joined: Thu Sep 15, 2011 9:08 am
Location: JLVEXTENSION.COM
Contact:

Re: Which MariaDB version for Joomla 5 Install?

Post by hungkhanggl » Mon Sep 25, 2023 3:24 am

Thanks Murray, I prefer to use XAMPP and have been using it for more than 10 years.
I want to test Joomla 5 on live hosting to see if there are any problems, this will help in the future.

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 20591
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ Germany/ S'pore/Bogor/ North America
Contact:

Re: Which MariaDB version for Joomla 5 Install?

Post by leolam » Mon Sep 25, 2023 5:24 pm

You should be updating to the latest stable version 11.1.2

Works fine with J3,4,5

Leo 8)
Joomla's #1 Professional Services Provider:
#Joomla Professional Support: https://gws-desk.com -
#Joomla Specialized Hosting Solutions: https://gws-host.com -

dodmo
Joomla! Fledgling
Joomla! Fledgling
Posts: 3
Joined: Sun Mar 04, 2007 2:06 pm

Re: Which MariaDB version for Joomla 5 Install?

Post by dodmo » Thu Nov 02, 2023 1:51 pm

I am experiencing this problem when trying to update my live joomla installation to 5.0.0 via cpanel / Softaculous

" The following errors were found : Required MARIADB version greater than equal to 10.5.0 AND found version is : 10.3.36"

gws
Joomla! Champion
Joomla! Champion
Posts: 5617
Joined: Tue Aug 23, 2005 1:56 pm
Location: South coast, UK
Contact:

Re: Which MariaDB version for Joomla 5 Install?

Post by gws » Thu Nov 02, 2023 1:55 pm

Ask your host to upgrade the DB.

User avatar
AMurray
Joomla! Exemplar
Joomla! Exemplar
Posts: 9309
Joined: Sat Feb 13, 2010 7:35 am
Location: Australia

Re: Which MariaDB version for Joomla 5 Install?

Post by AMurray » Thu Nov 02, 2023 11:08 pm

The min requirements for J5 are Maria DB 10.4.x (recommends 11.1.x) or MySQL 8.0.13 (recommends 8.1) or PostGreSQL 12 (recommends 16).

https://manual.joomla.org/docs/next/get ... uirements/
Regards - A Murray

etersonp
Joomla! Fledgling
Joomla! Fledgling
Posts: 1
Joined: Mon Nov 06, 2023 10:38 am

Re: Which MariaDB version for Joomla 5 Install?

Post by etersonp » Mon Nov 06, 2023 10:52 am

To install Joomla 5, you need MariaDB 10.4 or higher, but your live hosting provider currently uses MariaDB 10.3.39, which is incompatible with Joomla 5. To resolve this, you must update MariaDB to version 10.4 or higher. You can do this on cPanel hosting by logging into your cPanel account, accessing WHM, using the "MariaDB Upgrade Wizard," selecting the desired MariaDB version, and following the on-screen instructions. After successfully updating MariaDB to version 10.4 or higher, you will be able to install Joomla 5 on your live hosting account.

gws
Joomla! Champion
Joomla! Champion
Posts: 5617
Joined: Tue Aug 23, 2005 1:56 pm
Location: South coast, UK
Contact:

Re: Which MariaDB version for Joomla 5 Install?

Post by gws » Mon Nov 06, 2023 11:03 am

To resolve this, you must update MariaDB to version 10.4 or higher. You can do this on cPanel hosting by logging into your cPanel account, accessing WHM, using the "MariaDB Upgrade Wizard," selecting the desired MariaDB version, and following the on-screen instructions.
The reality of this is 99% of users will not have this available to them unless they are using a dedicated or VPS server.For the rest you can only ask your host to do this and good luck with that....
As a side note, J5 can be installed on a local host that meets requirements,make an Akeeba backup of thelocal site and then install it on your live site that doesn't meet the the minimum DB requirements and in the most case it will install and run. Whether there are unseen consequences to this???


Post Reply

Return to “Installation Joomla! 5.x”